%define cvs_version 20100314cvs

Name:             freehoo
Version:          3.5.3
Release:          20.%{cvs_version}%{?dist}
Summary:          Freehoo is a free console based messenger for Yahoo IM Service
Group:            Applications/Internet
License:          GPLv2+
URL:              http://www.nongnu.org/freehoo/
Source0:          http://download.savannah.gnu.org/releases/freehoo/freehoo-%{version}.%{cvs_version}.tar.gz
Patch0:           freehoo-libyahoo2-1.0.0.patch
Patch1:           freehoo-guile2.patch
Patch2:           freehoo-guile2-scm.patch
Patch3:           freehoo-texi-subsections-in-multitable.patch
Patch4:           freehoo-format-security.patch

Requires:         libyahoo2 >= 0.7.7-2.20100314svn words openssl
Requires(post):   info
Requires(preun):  info
BuildRequires:    guile-devel
BuildRequires:    readline-devel
BuildRequires:    glib2-devel
BuildRequires:    libyahoo2-devel >= 0.7.7-2.20100314svn
BuildRequires:    texinfo
BuildRequires:    openssl-devel

%description
This is a simple Yahoo Messenger client that requires no windowing system,
and it therefore can be quite useful in situations where a minimal system
is being used or when a windowing system is otherwise unavailable or
unfeasible.

%prep
%setup -q -n %{name}-%{version}.%{cvs_version}
%patch0 -p0 -b .libyahoo2-1.0.0
%patch1 -p1 -b .guile2
%patch2 -p1 -b .guile2-scm
%patch3 -p1 -b .subsec-multitable
%patch4 -p1

%build
%configure

%{__make} %{?_smp_mflags}

%install
# This preserves timestamps.
%{__make} install DESTDIR=%{buildroot} INSTALL="%{__install} -c -p"

# Make sure our documentation directory exists.
%{__mkdir} -p %{buildroot}/%{_docdir}/%{name}-%{version}

# Clean up old documentation and example directories.
%{__rm} -rf %{buildroot}/usr/doc
%{__rm} -rf %{buildroot}/%{_docdir}/%{name}
%{__rm} -rf %{buildroot}/examples

# Remove info/dir if it exists.
%{__rm} -f  %{buildroot}/%{_infodir}/dir

%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi

%files
%doc AUTHORS BUGS ChangeLog COPYING README TODO doc/examples
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_infodir}/*
%{_mandir}/man?/*

%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.5.3-20.20100314cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.3-19.20100314cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.3-18.20100314cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.3-17.20100314cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Feb 05 2014 Jaromir Capik <jcapik@redhat.com> - 3.5.3-16.20100314cvs
- Fixing format-security flaws (#1037069)

* Wed Sep 04 2013 jcapik@redhat.com - 3.5.3-15.20100314cvs
- Removing docdir config (#993759)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.3-14.20100314cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jun 12 2013 Jaromir Capik <jcapik@redhat.com> - 3.5.3-13.20100314cvs
- Fixing unwanted %%check section contained in the changelog
- ... it was causing build failures on aarch64

* Tue Feb 26 2013 Jaromir Capik <jcapik@redhat.com> - 3.5.3-12.20100314cvs
- Fixing the guile2 patch again (gh is deprecated since 1.6 and removed in 1.9.0)

* Mon Feb 25 2013 Jaromir Capik <jcapik@redhat.com> - 3.5.3-11.20100314cvs
- Fixing the guile2 patch (headers depend on the SCM_MAJOR_VERSION)

* Mon Feb 25 2013 Jaromir Capik <jcapik@redhat.com> - 3.5.3-10.20100314cvs
- Fixing incorrect usage of (sub)sections [texinfo]

* Mon Feb 25 2013 Jaromir Capik <jcapik@redhat.com> - 3.5.3-9.20100314cvs
- Fixing SCM files to work with guile2

* Mon Feb 25 2013 Jaromir Capik <jcapik@redhat.com> - 3.5.3-8.20100314cvs
- Fixing FTBFS against guile2 (patch from Jan Synacek)

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.3-7.20100314cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.3-6.20100314cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.3-5.20100314cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.3-4.20100314cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jun 11 2010 Ray Van Dolson <rayvd@fedoraproject.org> - 3.5.3-3.20100314cvs
- Testing against libyahoo2-1.0.0

* Sun Mar 14 2010 Ray Van Dolson <rayvd@fedoraproject.org> - 3.5.3-2.20100314cvs
- Rebuild against new libyahoo2

* Wed Jan 21 2009 Ray Van Dolson <rayvd@fedoraproject.org> - 3.5.3-1
- Upstream released 3.5.3

* Sat Jun 28 2008 Ray Van Dolson <rayvd@fedoraproject.org> - 3.5.2-2
- Removed extra non-needed Requires; added 'words'
- No longer converting freehoo.1 to UTF-8 (unneeded)
- No longer specifying C_INCLUDE_PATH to make
- Cleaned up some documentation processing logic that was unnecessary
- Removed INSTALL
- BuildRequires on separate lines
- Other minor cleanups per reviewer
- Removed %%check as there is no make test target

* Sat May  3 2008 Ray Van Dolson <rayvd@bludgeon.org> - 3.5.2-1
- Upstream released 3.5.2

* Wed Apr 30 2008 Ray Van Dolson <rayvd@bludgeon.org> - 3.5.1.20080430-1
- Testing against CVS

* Sun Apr 27 2008 Ray Van Dolson <rayvd@bludgeon.org> - 3.5.1-2
- Rebuild against libyahoo2 0.7.6
- Created freehoo-3.5.1-callbacks.patch for callback changes in libyahoo2 0.7.6

* Thu Feb 21 2008 Ray Van Dolson <rayvd@bludgeon.org> - 3.5.1-1
- Upstream released 3.5.1 (guile 1.6 compatibility and nick auto-completion)

* Tue Feb 19 2008 Ray Van Dolson <rayvd@bludgeon.org> - 3.5.0-3
- Including COPYING file (license)
- Including texinfo snippet.
- Using buildroot macro.
- Remove executable bit from script in documentation.

* Tue Feb 19 2008 Ray Van Dolson <rayvd@bludgeon.org> - 3.5.0-2
- Including patch from Harshavardhana <harsha@zresearch.com> to provide
  backwards compatibility with guile 1.6.x for EL4.

* Mon Feb 18 2008 Ray Van Dolson <rayvd@bludgeon.org> - 3.5.0-1
- Initial creation
